| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
DC590B.ino File Reference

Go to the source code of this file.

## Functions
char | get_char ()
static void | byte_to_hex (byte value)
byte | read_hex ()
static void | setup ()
static void | loop ()

## Macros
#define | READ_TIMEOUT 20
#define | MISO_TIMEOUT 1000
#define | RECORDING_SIZE 50

## Variables
const byte | off = 0
const byte | playback = 1
const byte | spi_mode = 0
const byte | i2c_mode = 1
const byte | i2c_auxiliary_mode = 2
char | hex_digits [16]
const char | spi_divider = SPI_CLOCK_DIV32
byte | serial_mode = spi_mode
byte | recording_mode = off
char | id_string [51] ="USBSPI,PIC,01,01,DC,DC590,----------------------\n\0"
char | hex_to_byte_buffer [5]
char | byte_to_hex_buffer [3]
char | recording_buffer [RECORDING_SIZE]
byte | recording_index = 0
static int | i = 0
unsigned char | pseudo_reset = 0

## Function Documentation

## ◆ byte_to_hex()

static void byte_to_hex | ( | byte | value | ) |
| static

Definition at line 107 of file DC590B.ino.

## ◆ get_char()

char get_char | ( | void |  | ) |

Definition at line 126 of file DC590B.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Definition at line 192 of file DC590B.ino.

## ◆ read_hex()

byte read_hex | ( | void |  | ) |

Definition at line 115 of file DC590B.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Definition at line 162 of file DC590B.ino.

## Macro Definition Documentation

## ◆ MISO_TIMEOUT

#define MISO_TIMEOUT 1000

Definition at line 66 of file DC590B.ino.

## ◆ READ_TIMEOUT

#define READ_TIMEOUT 20

Definition at line 65 of file DC590B.ino.

## ◆ RECORDING_SIZE

#define RECORDING_SIZE 50

Definition at line 69 of file DC590B.ino.

## Variable Documentation

## ◆ byte_to_hex_buffer

char byte_to_hex_buffer[3]

Initial value:
=
{
'\0','\0','\0'
}

Definition at line 95 of file DC590B.ino.

## ◆ hex_digits

char hex_digits[16]

Initial value:
=
{
'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F'
}

Definition at line 79 of file DC590B.ino.

## ◆ hex_to_byte_buffer

char hex_to_byte_buffer[5]

Initial value:
=
{
'0', 'x', '0', '0', '\0'
}

Definition at line 91 of file DC590B.ino.

## ◆ i

int i = 0
| static

Definition at line 159 of file DC590B.ino.

## ◆ i2c_auxiliary_mode

const byte i2c_auxiliary_mode = 2

Definition at line 76 of file DC590B.ino.

## ◆ i2c_mode

const byte i2c_mode = 1

Definition at line 75 of file DC590B.ino.

## ◆ id_string

char id_string[51] ="USBSPI,PIC,01,01,DC,DC590,----------------------\n\0"

Definition at line 90 of file DC590B.ino.

## ◆ off

const byte off = 0

Definition at line 70 of file DC590B.ino.

## ◆ playback

const byte playback = 1

Definition at line 71 of file DC590B.ino.

## ◆ pseudo_reset

unsigned char pseudo_reset = 0

Definition at line 160 of file DC590B.ino.

## ◆ recording_buffer

char recording_buffer[RECORDING_SIZE]

Initial value:
=
{
'\0'
}

Definition at line 99 of file DC590B.ino.

## ◆ recording_index

byte recording_index = 0

Definition at line 103 of file DC590B.ino.

## ◆ recording_mode

byte recording_mode = off

Definition at line 89 of file DC590B.ino.

## ◆ serial_mode

byte serial_mode = spi_mode

Definition at line 88 of file DC590B.ino.

## ◆ spi_divider

const char spi_divider = SPI_CLOCK_DIV32

Definition at line 85 of file DC590B.ino.

## ◆ spi_mode

const byte spi_mode = 0

Definition at line 74 of file DC590B.ino.